# Create_WebPortal_Account

Create a webportal account.

`POST /v2/webportal-accounts`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Webportal Accounts
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Webportal%20Accounts/Create_WebPortal_Account/

## Description

Create a webportal account, for CertExpress, to provide to your customers.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |

## Request Body

**Schema:** `WebportalAccountResource`

CertCapture WebportalAccount resource

| Property | Type | Required | Description |
|---|---|---|---|
| `data` | WebportalAccount[] | No | Data wrapper |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `WebportalAccountResource` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `WebportalAccountResource`

CertCapture WebportalAccount resource

| Property | Type | Required | Description |
|---|---|---|---|
| `data` | WebportalAccount[] | No | Data wrapper |

## Example Request

```bash
curl -X POST "https://sbx-api.certcapture.com/v2/v2/webportal-accounts" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "data": {
    "created": "2017-10-26 12:41:48.377959",
    "customer_number": "cc00000001",
    "expiration_date": "2021-03-26",
    "id": 190777,
    "modified": "2017-10-26 12:41:48.377959",
    "password": "GMXmK8pydp",
    "url": "https://app.certexpress.com/?r=dn-QR-GV-Tf"
  }
}'
```